body {
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);
    ;
    font-family: "DM Sans", sans-serif;
}

h1 {
    font-size: 42px;
}

h2 {
    font-size: 14px;
    font-weight: 300;

}

.container {
    display: block;
    margin: 0 auto;
    margin-top: 40px;
    max-width: 400px;
    height: 770px;
    background: linear-gradient(180deg, #87e28a 0%, #C8E6C9 100%);
    text-align: center;
    padding: 20px;

    border-radius: 40px;
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.15);

}

.weather-icon {
    width: 150px;
    margin: -10px auto 0;
    display: flex;
}



.weather-temperature {
    font-size: 62px;
    font-weight: 700;

}


.weather-forecast {
    margin: 30px 120px;
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);
    padding: 10px;
    border-radius: 40px;
    font-size: 16px;
}

.weather-humidity {
    margin: 0 250px 0 60px;
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);
    padding: 10px;
    border-radius: 40px;
    font-size: 16px;


}

.weather-wind {
    display: flex;
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);

    gap: 5px;
    justify-content: right;
    border-radius: 40px;
    margin-left: 250px;
    padding: 10px 15px 10px 0px;
    margin-top: -40px;
    margin-right: 40px;
}

.search {
    margin-top: 40px;
}

.search-input {
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);
    border: none;
    border-radius: 16px;
    width: 70%;
    padding: 10px;
    font-size: 16px;
}

.search-button {
    border: none;
    border-radius: 16px;
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);
    padding: 8px 20px;
}

footer {
    display: flex;
    justify-content: center;
    gap: 5px;
    margin-top: 10px;

}

.forecast {
    display: flex;
    justify-content: space-around;
    margin-top: 40px;
}

.forecast-day {
    background: linear-gradient(180deg, #4CAF50 0%, #C8E6C9 100%);
    border-radius: 26px;
    padding: 15px;

}





.forecast-weekday {
    display: flex;
    justify-content: center;
}

.forecast-icon {
    display: flex;
    justify-content: center;
    width: 30px;


}

.forecast-min-temperature {
    font-weight: bold;
    font-size: 14px;
    display: flex;
    justify-content: center;
}

.forecast-max-temperature {
    font-weight: bold;
    font-size: 14px;
    display: flex;
    justify-content: center;
}


a {
    color: #348c37
}